### Constructor

# GUPnP Context new

#### Declaration [src]

    GUPnPContext*
    gupnp_context_new (
      const char* iface,
      guint port,
      GError** error
    )

#### Description [src]

Create a new `GUPnPContext` with the specified `main_context`, `iface` and `port`.

#### Parameters

`iface` | `const char*`
| The network interface to use, or `NULL` to auto-detect.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`port` | `guint`
| Port to run on, or 0 if you don’t care what port is used.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GUPnPContext`
| A new `GUPnPContext` object, or `NULL` on an error.
| The caller of the function takes ownership of the data, and is responsible for freeing it.